/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 1    MBDRAWPO.CPP    11-Feb-94    15:25:08 #    */

/* ************************************************************* *
 *  MBDRAWPO.C  -  MetaBGI drawpoly() function                   *
 *  Copyright (c) 1994 Metagraphics Software Corporation         * 
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl drawpoly ( int numpoints, const int far *polypoints )
{
   int    i,j;

   CheckLineStyle2();  // inline check/set for dashed lines (metabgi.h)

   MoveTo ( polypoints[0], polypoints[1] );

   for( i=1,j=2; i<numpoints; i++,j+=2 )
      {
      LineTo ( polypoints[j], polypoints[j+1] );
      }

} /* drawpoly() */


/* End of File - MBDRAWPO.C */

