/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 1    MBELLIPS.CPP    11-Feb-94    16:14:32 #    */

/* ************************************************************* *
 *  MBELLIPS.C  -  MetaBGI ellipse() function                    *
 *  Copyright (c) 1994 Metagraphics Software Corporation         * 
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl ellipse ( int x, int y,  // center point
                          int stangle,   // start angle
                          int endangle,  // end angle
                          int xradius,   // x radius
                          int yradius )  // y radius
{
   metabgi.mwArcX = x;                      // save the center point
   metabgi.mwArcY = y;

   metabgi.mwArcRect.Xmin = x - xradius;     // compute the bounding rect
   metabgi.mwArcRect.Ymin = y - yradius;
   metabgi.mwArcRect.Xmax = x + xradius;
   metabgi.mwArcRect.Ymax = y + yradius;

   metabgi.mwArcBgnAngle = stangle * 10;    // compute MW arc angles
   metabgi.mwArcArcAngle = ( endangle - stangle ) * 10;

   CheckLineStyle1();  // inline check/set for non-dashed lines (metabgi.h)
   FrameArc ( &metabgi.mwArcRect,           // draw the arc
               metabgi.mwArcBgnAngle,
               metabgi.mwArcArcAngle );

}  /* ellipse() */


/* End of File - MBELLIPS.C */

