/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 4    MBFILLEL.CPP    12-Aug-94    9:52:24 #    */

/* ************************************************************* *
 *  MBFILLEL.C  -  MetaBGI fillellipse() function                *
 *  Copyright (c) 1994 Metagraphics Software Corporation         * 
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl fillellipse ( int x, int y,   // center point
                              int xradius,    // x radius
                              int yradius )   // y radius
{
   rect  ovalRect;

// note: bgi does not aspect ratio correct ellipses

   ovalRect.Xmin = x - xradius;     // compute the bounding rect
   ovalRect.Ymin = y - yradius;
   ovalRect.Xmax = x + xradius;
   ovalRect.Ymax = y + yradius;

   CheckFillStyle();  //!!! PenColor ( metabgi.fillsettings.color );
   PaintOval ( &ovalRect );

   CheckLineStyle1();  // inline check/set for non-dashed lines (metabgi.h)
   FrameOval ( &ovalRect );

} // fillellipse()


/* End of File - MBFILLEL.C */

