/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 3    MBFILLPO.CPP    12-Aug-94    9:32:26 #    */

/* ************************************************************* *
 *  MBFILLPO.C  -  MetaBGI fillpoly() function                   *
 *  Copyright (c) 1994 Metagraphics Software Corporation         * 
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl fillpoly ( int numpoints, const int far *polypoints )
{
   int    i,j;
   point *npts;

   npts = (point *) _graphgetmem( numpoints * sizeof(int) );
   for( i=j=0; i<numpoints; i++, j+=2 )
      {
      npts[i].X = polypoints[j];
      npts[i].Y = polypoints[j+1];
      }

//!!!PenColor ( metabgi.mwFillColor );
//!!!PenPattern ( metabgi.mwFillPattern );
   CheckFillStyle();       // check/set the current fill style
   FillPolygon ( npts, numpoints, coordAbs, shapeComplex );

   _graphfreemem( (point *)npts, numpoints * sizeof(int) );

   // frame it too
   drawpoly ( numpoints, polypoints );

}

/* End of File - MBFILLPO.C */

