/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 3    MBGETDRI.CPP    7-Oct-94    14:25:12 #    */

/* ************************************************************* *
 *  MBGETDRI.C  -  MetaBGI getdrivername() function              *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


static char *driverName[] = {
   {"UNDEFINED"},{"CGA"},{"MCGA"},{"EGA"},{"EGA64"},{"EGAMONO"},
   {"IBM8514"},{"HERCMONO"},{"ATT400"},{"VGA"},{"PC3270"},
   {"VGA256"},{"ATTDEB"},{"TOSHIBA"},{"SVGA16"},{"SVGA256"},
   {"SVGA32K"},{"SVGA64K"},{"VESA16"},{"VESA256"},{"VESA32K"},
   {"VESA64K"},{"VESA16M"},{"ATI16"},{"ATI256"},{"ATI32K"},
   {"COMPAQ"},{"TSENG316"},{"TSENG3256"},{"TSENG416"},{"TSENG4256"},
   {"TSENG432K"},{"GENOA5"},{"GENOA6"},{"OAK"},{"PARADISE16"},
   {"PARADISE256"},{"TECMAR"},{"TRIDENT16"},{"TRIDENT256"},{"VIDEO7"},
   {"VIDEO7II"},{"S3"},{"ATIM32"}

 };



char * far _Cdecl getdrivername ( void )
{
	if ( ( metabgi.bgiDriverID > 0 ) &&   // driver ID within range?
        ( metabgi.bgiDriverID <= ATIGUP ) )
	   return ( driverName[metabgi.bgiDriverID] );

	else // bad driver ID, return "UNDEFINED"
	   return ( driverName[0] );

}


/* End of File - MBGETDRI.C */

