/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 2    MBGRAPHE.CPP    1-Mar-94    16:02:38 #    */

/* ************************************************************* *
 *  MBGRAPHE.C  -  MetaBGI grapherrormsg() function              *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"

static char * ermsg[] = {
   "No Error",
   "(BGI) graphics not installed",
   "Graphics hardware not detected",
   "Device driver not found",
   "Invalid device driver file",
   "Not enough memory to load driver",
   "Out of memory in scan fill",
   "Out of memory in flood fill",
   "Font file not found",
   "Not enough memory to load font",
   "Invalid graphics mode for selected driver",
   "Graphics error",
   "Graphics I/O error",
   "Invalid font file",
   "Invalid font number",
   "Invalid device number",
   "Invalid version of file"
};   

char * far _Cdecl grapherrormsg ( int errorcode )
{
   if( errorcode > 0 || errorcode < -18 )
      errorcode = 0;

   return ermsg[ -errorcode ];


}


/* End of File - MBGRAPHE.C */

