/*  %kw # %v    %n    %d    %t #  */
/*  Version # 3    MBINSTLF.CPP    6-Apr-94    12:21:24 #    */

/* ************************************************************* *
 *  MBINSTLF.C  -  MetaBGI installuserfont() function            *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


int far _Cdecl installuserfont ( const char far *name )
{
   int i;

   // find unused user installed font name buffer
   for( i = 0; i < maxUserFont; i++ ) 
      if( metabgi.userfnt[i][0] == '\0' )
         break;

   if( i >= maxUserFont )
      return grError;

   // store the name in our table
   strcpy(  &(metabgi.userfnt[i][0]), name );

   // return the font  index 
   return (i + maxStdFonts);

}


/* End of File - MBINSTLF.C */

