/*  %kw # %v    %n    %d    %t #  */
/*  Version # 3    MBREGISF.CPP    6-Apr-94    13:47:44 #    */

/* ************************************************************* *
 *  MBREGISF.C  -  MetaBGI registerbgifont() function            *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


int _Cdecl registerbgifont ( void (*font)(void) )
{
   int i;
   char far *p;

   // find unused user installed font name buffer
   for( i = 0; i < maxUserFont; i++ ) 
      if( metabgi.userfnt[i][0] == '\0' )
         break;

   if( i >= maxUserFont )
      return grError;

   // flag this name buffer as a registered pointer
   metabgi.userfnt[i][0] = 1;

   p = &metabgi.userfnt[i][1];

   // store the pointer in the next far * in our table
   *( void ** )p = ( void *) font;

   // return the font index 
   return (i + maxStdFonts);

}


/* End of File - MBREGISF.C */

