/*  %kw # %v    %n    %d    %t #  */
/*  Version # 1    MBSETRGB.CPP    14-Feb-94    12:40:12 #    */

/* ************************************************************* *
 *  MBSETRGB.C  -  MetaBGI setrgbpalette() function              *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl setrgbpalette ( int colornum, int red, int green, int blue )
{

   /* take a 6 bit per rgb value and set the palette index */

   palData mwpalette;

   /* convert from 6 bit values to 16 bit values */
   mwpalette.palRed = red << 10;
   mwpalette.palGreen = green << 10;
   mwpalette.palBlue = blue << 10;

   WritePalette ( 0, colornum, colornum, &mwpalette );
   
}


/* End of File - MBSETRGB.C */

