/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 2    MBSETTXJ.CPP    3-Mar-94    14:36:42 #    */

/* ************************************************************* *
 *  MBSETTXJ.C  -  MetaBGI settextjustify() function             *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl settextjustify ( int horiz, int vert )
{

   // save global settings
   metabgi.textsettings.horiz = horiz;
   metabgi.textsettings.vert  = vert;

   if( metabgi.textsettings.direction == VERT_DIR ) {
      // BGI alignment is not relative to path
      TextAlign ( vert, horiz + 1 );
   }
   else
      TextAlign ( horiz, vert + 1 );
}


/* End of File - MBSETTXJ.C */

