/*  %kw # %v    %n    %d    %t #  */
/*  Version # 2    MBSETVIE.CPP    16-Feb-94    12:02:12 #    */

/* ************************************************************* *
 *  MBSETVIE.C  -  MetaBGI setviewport() function                *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl setviewport ( int left,  int top,
                              int right, int bottom,
                              int clip )
{
   rect  clipR;

   metabgi.viewsettings.left   = left;
   metabgi.viewsettings.top    = top;
   metabgi.viewsettings.right  = right;
   metabgi.viewsettings.bottom = bottom;
   metabgi.viewsettings.clip   = clip;

   SetOrigin ( -left, -top );

   if ( clip != 0 )
      {
      clipR.Xmin = 0;
      clipR.Ymin = 0;
      clipR.Xmax = right - left + 1;
      clipR.Ymax = bottom - top + 1;
      ClipRect ( &clipR );
      }

   else
      ClipRect ( NULL );

}


/* End of File - MBSETVIE.C */

