/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 2    MBTEXTHE.CPP    17-Feb-94    15:17:30 #    */

/* ************************************************************* *
 *  MBTEXTHE.C  -  MetaBGI textheight() function                 *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


int far _Cdecl textheight ( const char far *textstring )
{
   int charht;

	// is this a stroked font ?
   if( metabgi.bgiFont->fontFlags & 0x02 )
	   charht = metabgi.bgiPort->txSize.Y;
	else	
	   charht = metabgi.bgiFont->chHeight;

   return ( charht );
}


/* End of File - MBTEXTHE.C */

