/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 3    MBCIRCLE.CPP    12-Aug-94    10:20:48 #    */

/* ************************************************************* *
 *  MBCIRCLE.C  -  MetaBGI circle() function                     *
 *  Copyright (c) 1994 Metagraphics Software Corporation         * 
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl circle ( int x, int y,  // center point
                         int radius )   // radius
{
   rect   cirRect;
   int   radY, radX;


   // factor in aspect ratio
   radY = (long) radius;
   radX = (long) radius * metabgi.bgiAspectY / metabgi.bgiAspectX;

   cirRect.Xmin = x - radX;     // compute the bounding rect
   cirRect.Ymin = y - radY;
   cirRect.Xmax = x + radX;
   cirRect.Ymax = y + radY;

   CheckLineStyle1();  // inline check/set for non-dashed lines (metabgi.h)
   FrameOval ( &cirRect );

}


/* End of File - MBCIRCLE.C */

