/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 4    MBCLOSEG.CPP    27-May-94    15:39:36 #    */

/* ************************************************************* *
 *  MBCLOSEG.C  -  MetaBGI closegraph() function                 *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"

extern int initbgi;

void far _Cdecl closegraph ( )
{

   // if never initgraph'd just exit
   if( !initbgi )
      return;

   // toss the font if it was ever allocated
   if( metabgi.bgiFont != metabgi.defFont )
      _graphfreemem( metabgi.bgiFont, 0 );

   SetDisplay ( TextPg0 );    // switch display to text mode
   StopGraphics ();           // terminate MetaWINDOW

   initbgi = 0;

}


/* End of File - MBCLOSEG.C */

