/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 1    MBGETARC.CPP    10-Feb-94    21:42:56 #    */

/* ************************************************************* *
 *  MBGETARC.C  -  MetaBGI getarccoords() function               *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl getarccoords ( struct arccoordstype far *arccoords )
{
   point  pt;

   // return the center point
   arccoords->x = metabgi.mwArcX;
   arccoords->y = metabgi.mwArcY;

   // return the starting arc coordinate
   OvalPt ( &metabgi.mwArcRect, metabgi.mwArcBgnAngle, &pt );
   arccoords->xstart = pt.X;
   arccoords->ystart = pt.Y;

   // return the ending arc coordinate
   OvalPt ( &metabgi.mwArcRect,
             metabgi.mwArcBgnAngle+metabgi.mwArcArcAngle,  &pt );
   arccoords->xend = pt.X;
   arccoords->yend = pt.Y;
}


/* End of File - MBGETARC.C */

