/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 2    MBGETIMA.CPP    16-Feb-94    17:00:42 #    */

/* ************************************************************* *
 *  MBGETIMA.C  -  MetaBGI getimage() function                   *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl getimage ( int X1, int Y1, int X2, int Y2,
                           void far *bitmap )
{
   rect  R;
   unsigned short int *im;

   if ( X1 <= X2 )
      { R.Xmin = X1; R.Xmax = X2 + 1; }

   else // if ( X1 > X2 )
      { R.Xmin = X2; R.Xmax = X1 + 1; }

   if ( Y1 <= Y2 )
      { R.Ymin = Y1; R.Ymax = Y2 + 1; }

   else // if ( Y1 > Y2 )
      { R.Ymin = Y2; R.Ymax = Y1 + 1; }

   im = ( unsigned short int *) bitmap;

   // save width and height as first words in buffer per bgi spec
   *im++ = R.Xmax - R.Xmin;
   *im++ = R.Ymax - R.Ymin;

   ReadImage ( &R, (image *) im );

} /* getimage() */


/* End of File - MBGETIMA.C */

