/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 1    MBGETPAL.CPP    14-Feb-94    11:27:06 #    */

/* ************************************************************* *
 *  MBGETPAL.C  -  MetaBGI getpalette() function                 *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl getpalette ( struct palettetype far *palette )
{

   /* return no more than 16 palette values as r'g'b'rgb */

   /* note that the most significant bits are in the least
   significant positions ! */

   int i,rgb;
   palData mwpalette[256];

   ReadPalette ( 0, 0, 15, mwpalette );

   palette->size = 16;
   for( i = 0; i < 16; i++ ) {

      rgb = 0;
      if( mwpalette[i].palRed & 0x8000 )
         rgb |= 0x04;
      if( mwpalette[i].palRed & 0x4000 )
         rgb |= 0x20;
      if( mwpalette[i].palGreen & 0x8000 )
         rgb |= 0x02;
      if( mwpalette[i].palGreen & 0x4000 )
         rgb |= 0x10;
      if( mwpalette[i].palBlue & 0x8000 )
         rgb |= 0x01;
      if( mwpalette[i].palBlue & 0x4000 )
         rgb |= 0x08;

      palette->colors[i] = rgb;
   }

}


/* End of File - MBGETPAL.C */

