/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 2    MBIMAGES.CPP    16-Feb-94    17:03:24 #    */

/* ************************************************************* *
 *  MBIMAGES.C  -  MetaBGI imagesize() function                  *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


unsigned far _Cdecl imagesize ( int X1, int Y1, int X2, int Y2 )
{
   unsigned size;
   rect  R;

   if ( X1 <= X2 )
      { R.Xmin = X1; R.Xmax = X2 + 1; }

   else // if ( X1 > X2 )
      { R.Xmin = X2; R.Xmax = X1 + 1; }

   if ( Y1 <= Y2 )
      { R.Ymin = Y1; R.Ymax = Y2 + 1; }

   else // if ( Y1 > Y2 )
      { R.Ymin = Y2; R.Ymax = Y1 + 1; }

   size = (unsigned) ImageSize ( &R );
   size += 4;     // add two words for width and height
   return size;

} /* imagesize() */


/* End of File - MBIMAGES.C */

