/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 4    MBOUTTXY.CPP    4-Jan-95    13:52:44 #    */

/* ************************************************************* *
 *  MBOUTTXY.C  -  MetaBGI outtextxy() function                    *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl outtextxy ( int x, int y, const char far *textstring )
{
   int px,py;

   RasterOp( xREPx );
   PenColor ( metabgi.mwLineColor );
   PenPattern ( 1 );
   PenDash ( 0 );
   QueryPosn ( &px, &py );      

   MoveTo ( x,y );
   DrawString ( (char *) textstring );
   RasterOp( zREPz );
   metabgi.mwFlags = 0;  // reset line/fill flag settings   

   // outtextxy does not update the pen position
   MoveTo ( px,py );   // reset position prior to DrawString

} /* outtextxy() */


/* End of File - MBOUTTXY.C */

