/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 2    MBSETFLP.CPP    18-Feb-94    14:51:20 #    */

/* ************************************************************* *
 *  MBSETFLP.C  -  MetaBGI setfillpattern() function             *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"



void far _Cdecl setfillpattern ( const char far *upattern, int color )
{

   int i;

   // set to pattern 31 and redefine it
   metabgi.fillsettings.pattern = USER_FILL;
   metabgi.mwFillPattern        = 31;
   metabgi.fillsettings.color   = metabgi.mwFillColor = color;

   metabgi.usrPat.hdr.patWidth = 8;    
   metabgi.usrPat.hdr.patHeight = 8;   
   metabgi.usrPat.hdr.patAlign = 0;    
   metabgi.usrPat.hdr.patFlags = 0;    
   metabgi.usrPat.hdr.patRowBytes = 1; 
   metabgi.usrPat.hdr.patBits = 1;     
   metabgi.usrPat.hdr.patPlanes = 1;   

   for( i = 0; i < 8; i++ )
      metabgi.usrPat.data[i] = *upattern++;

   DefinePattern ( 31, (patRcd *) &metabgi.usrPat );

   metabgi.mwFlags &= ~flgFillStyle;  // reset the fill style flag

}



/* End of File - MBSETFLP.C */

