/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 2    MBSETFLS.CPP    18-Feb-94    14:52:02 #    */

/* ************************************************************* *
 *  MBSETFIL.C  -  MetaBGI setfillstyle() function               *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl setfillstyle ( int patt, int colr )
{
   /* MetaWINDOW pattern matches to BGI  */
   static int mw_pats[] = { 0, 1, 19, 13, 17, 12, 9, 23, 24, 25, 7, 6 };

   if( patt < 0 || patt > 11 ) {
      metabgi.bgiErrCode = grError;
      return;      
   }

   metabgi.fillsettings.pattern = patt;
   metabgi.mwFillPattern        = mw_pats[patt];

   metabgi.fillsettings.color   = metabgi.mwFillColor = colr;

   metabgi.mwFlags &= ~flgFillStyle;  // reset the fill style flag

} /* setfillstyle() */


/* End of File - MBSETFIL.C */

