/*  %kw # %v    %n    %d    %t #  */
/*  Version # 1    MBSETPAL.CPP    14-Feb-94    12:39:34 #    */

/* ************************************************************* *
 *  MBSETPAL.C  -  MetaBGI setpalette() function                 *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl setpalette ( int colornum, int color )
{

   /* take an  rgbr'g'b' value and set the palette index */

   palData mwpalette;

   /* convert user entry to straight RGB */
   mwpalette.palRed = mwpalette.palGreen = mwpalette.palBlue = 0;
   if( color & 0x04 )
      mwpalette.palRed |= 0x8000;
   if( color & 0x20 )
      mwpalette.palRed |= 0x4000;
   if( color & 0x02 )
      mwpalette.palGreen |= 0x8000;
   if( color & 0x10 )
      mwpalette.palGreen |= 0x4000;
   if( color & 0x01 )
      mwpalette.palBlue |= 0x8000;
   if( color & 0x08 )
      mwpalette.palBlue |= 0x4000;

   WritePalette ( 0, colornum, colornum, &mwpalette );

}


/* End of File - MBSETPAL.C */

