/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 2    MBSETUSE.CPP    11-Mar-94    10:34:56 #    */

/* ************************************************************* *
 *  MBSETUSE.C  -  MetaBGI setusercharsize() function            *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


void far _Cdecl setusercharsize ( int multx, int divx, int multy, int divy )
{
   int i;

   // store global settings
   metabgi.bgiMultX = multx;
   metabgi.bgiMultY = multy;

   // check for divide by zero
   if ( divx  )
      metabgi.bgiDivX  = divx;
   if ( divy  )
      metabgi.bgiDivY  = divy;

   // set stroked font size
   if ( metabgi.textsettings.charsize == 0 ) {

         // pickup the fonts 'size'
         i = metabgi.bgiFont->fontPtSize;
         TextSize ( i * metabgi.bgiMultX / metabgi.bgiDivX,
                    i * metabgi.bgiMultY / metabgi.bgiDivY );
   }

}


/* End of File - MBSETUSE.C */

