/*  %kw # %v    %n    %d    %t #                      */
/*  Version # 2    MBTEXTWI.CPP    3-Mar-94    14:25:00 #    */

/* ************************************************************* *
 *  MBTEXTWI.C  -  MetaBGI textwidth() function                  *
 *  Copyright (c) 1994 Metagraphics Software Corporation         *
 * ************************************************************* */


#include "metabgi.h"


int far _Cdecl textwidth ( const char far *textstring )
{
   int w;

   if( metabgi.textsettings.direction == VERT_DIR ) {
      // BGI always returns widths as if at HORIZ_DIR
      TextPath ( 0 );
      w = StringWidth ( (char *) textstring );
      TextPath ( 900 );
      return w;
   }
   else
      return StringWidth ( (char *) textstring );

}


/* End of File - MBTEXTWI.C */

